// Copyright (c) reifydb.com 2025
// This file is licensed under the AGPL-3.0-or-later

// This file includes and modifies code from the toydb project (https://github.com/erikgrinaker/toydb),
// originally licensed under the Apache License, Version 2.0.
// Original copyright:
//   Copyright (c) 2024 Erik Grinaker
//
// The original Apache License can be found at:
//   http://www.apache.org/licenses/LICENSE-2.0

pub use emit::Emit;
pub use mirror::{Mirror, MirrorIterator};

mod emit;
mod mirror;

/// An engine operation emitted by the Emit engine.
pub enum Operation {
    Remove { key: Vec<u8> },
    Sync,
    Set { key: Vec<u8>, value: Vec<u8> },
}
